Subject: Re: bug#27622: Trying to improve the speed of linum-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Jul 2017 21:55:20 +0300

[Please keep the bug address on the CC list.]

> From: Fis Trivial <[email-masked]>
> Date: Sat, 8 Jul 2017 17:16:45 +0000
> 
> Thanks for the reply.
> I have compiled the latest code from master branch and tried
> the new line number mode. The new line number mode has exactly the same 
> effect
> as the patched linum.el.  When opening a large file, it runs smooth at 
> the beginning
> of the buffer but slows down as the cursor closing to the end of the 
> buffer.

Please show a file where it happens to you.  Please also tell which
variables elated to line-number display you customized and how.

I tried this with a 33000-line buffer, and didn't see the problem you
describe.  So maybe only some files trigger the problem.